import { ConvertDocumentWithCalibreNodeInput, ConvertDocumentWithLibreOfficeNodeInput, ConvertDocumentWithPandocNodeInput, ConvertDocumentWithPuppeteerNodeInput, ConvertLatexWithPdfLatexNodeInput } from '../../../../../code/type/cast.js';
export declare function convertDocumentWithPandocLocal(input: ConvertDocumentWithPandocNodeInput): Promise<string>;
export declare function convertDocumentWithLibreOfficeLocal(input: ConvertDocumentWithLibreOfficeNodeInput): Promise<{
    output: {
        file: {
            path: string;
        };
    };
}>;
export declare function convertDocumentWithCalibreLocal(input: ConvertDocumentWithCalibreNodeInput): Promise<{
    output: {
        file: {
            path: string;
        };
    };
}>;
export declare function convertLatexWithPdfLatexLocal(input: ConvertLatexWithPdfLatexNodeInput): Promise<{
    output: {
        file: {
            path: string;
        };
    };
}>;
export declare function convertLatexToHtml(): Promise<void>;
export declare function convertDocumentWithPuppeteer(source: ConvertDocumentWithPuppeteerNodeInput): Promise<void>;
export declare function convertHtmlToPngWithPuppeteer(input: ConvertDocumentWithPuppeteerNodeInput): Promise<void>;
export declare function convertHtmlToPdfWithPuppeteer(input: ConvertDocumentWithPuppeteerNodeInput): Promise<void>;
